drop table if exists votes;
create table votes (
    id INTEGER primary key autoincrement,
    title TEXT not null,
    description TEXT,
    category TEXT,
    date_begin INTEGER default CURRENT_TIMESTAMP not null,
    date_end INTEGER not null,
    is_transparent INTEGER default 1 not null, 
    is_public INTEGER default 1 not null,
    is_multiplechoice INTEGER default 1 not null,
    is_weighted INTEGER default 0 not null,
    is_closed INTEGER default 0 not null
    --id_author INTEGER not null,
    --id_role INTEGER,
    --FOREIGN KEY(id_author) REFERENCES user(id),
    --FOREIGN KEY(id_role) REFERENCES role(id)
);


